langcode: en
status: true
dependencies:
  config:
    - media.type.image
    - media.type.video
    - views.view.media_browsers
  module:
    - dropzonejs_eb_widget
    - entity_browser_generic_embed
    - media
    - views
name: editor_media_browser
label: 'Editor Media Browser'
display: iframe
display_configuration:
  width: 100%
  height: '850'
  link_text: 'Select media'
  auto_open: true
selection_display: no_display
selection_display_configuration: {  }
widget_selector: tabs
widget_selector_configuration: {  }
widgets:
  0ce5dbdc-76cf-4c4e-a020-03328ef20f1c:
    settings:
      submit_text: 'Select media'
      auto_select: false
      view: media_browsers
      view_display: media_browser
    uuid: 0ce5dbdc-76cf-4c4e-a020-03328ef20f1c
    weight: -10
    label: Library
    id: view
  0f828fb5-d820-46c1-9260-d706fe92b367:
    settings:
      submit_text: 'Embed media'
      form_mode: entity_browser
    uuid: 0f828fb5-d820-46c1-9260-d706fe92b367
    weight: -7
    label: Embed
    id: embed_code
  422803d7-21aa-471b-8d65-335f345c4e30:
    settings:
      submit_text: 'Select image(s)'
      upload_location: 'public://[date:custom:Y]-[date:custom:m]'
      dropzone_description: 'Drop image files here to upload them'
      max_filesize: 32M
      extensions: 'jpg jpeg gif png webp'
      clientside_resize: false
      resize_width: null
      resize_height: null
      resize_quality: !!float 1
      resize_method: contain
      thumbnail_method: contain
      media_type: image
      form_mode: entity_browser
    uuid: 422803d7-21aa-471b-8d65-335f345c4e30
    weight: -9
    label: 'Upload image'
    id: dropzonejs_media_entity_inline_entity_form
  c05a5c40-6a5e-4a45-a841-7ba471656952:
    settings:
      submit_text: 'Select video(s)'
      upload_location: 'public://videos/[date:custom:Y]-[date:custom:m]'
      dropzone_description: 'Drop video files here to upload them'
      max_filesize: 128M
      extensions: 'mp4 webm ogv'
      clientside_resize: false
      resize_width: null
      resize_height: null
      resize_quality: !!float 1
      resize_method: contain
      thumbnail_method: contain
      media_type: video
      form_mode: entity_browser
    uuid: c05a5c40-6a5e-4a45-a841-7ba471656952
    weight: -8
    label: 'Upload video'
    id: dropzonejs_media_entity_inline_entity_form
